<?php

/**
 * Plugin CIBLOC
 * @copyright 2018 MTECT
 * @author Christophe IMBERTI (cf. CPI art L121-1)
 * @license GNU/GPLv3
 */

/*-----------------------------------------------------------------
// Balise propre au plugin
------------------------------------------------------------------*/

function balise_CIBLOC_LISTE_BOUTON(
	$p
) {
	$p->code = 'cibloc_affiche_liste_bouton($Pile)';
	//	$p->statut = 'html';
	return $p;
}

/*-----------------------------------------------------------------
// Fonction relative a la balise propre au plugin
------------------------------------------------------------------*/

function cibloc_affiche_liste_bouton(
	$Pile
) {
	$return = '';
	$liste = '';

	if (defined('_DIR_PLUGIN_CIBLOC')) {
		include_spip('inc/cibloc_commun');

		// tableau des elements a colorer
		include_spip('inc/cibloc_lire_cache');
		cibloc_lire_cache_definition();
		$tableau_elements = cibloc_liste_bouton();

		foreach ($tableau_elements as $element) {
			$liste .= '<li>Syntaxe : &#91;' . $element . '&#93;&#91;Titre&minus;&gt;https://www.google.fr&#93;&#91;/' . $element . '&#93;</li>';
		}
		$return = '<ul>' . $liste . '</ul>';
	}

	return $return;
}
